curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-olx-offers-search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"max_items": 2
}'import requests
url = "https://api.neuralverge.ai/functions/v1/run-olx-offers-search"
payload = { "max_items": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-olx-offers-search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "olx_offers_search",
"domain": "olx.pl",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# OLX offers search\n\n- **Domain:** olx.pl\n- **Max items:** 2\n- **Starting page:** 1\n- **Records returned:** 2\n- **Proxy traffic:** 70.8 KB",
"machine": {
"total_items": 2,
"total_available": null,
"first_item": {
"id": "1101702811",
"url": "https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html",
"offer_title": "łóżko jednoosobowe z drewna afrykańskiego 90x200",
"description": "witam, mam na sprzedaż łóżko jednoosobowe, robione na zamówienie z drewna afrykańskiego.\n\nPosiada drobne ślady użytkowania, jest wytrzymałe dzięki deskom pod materacem.\n\nŁóżko zostało odkurzone oraz p",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 900,
"previous_price": null,
"currency": "PLN",
"price_label": "900 zł",
"is_negotiable": true,
"is_price_arranged": true,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790779889,
"refreshed_at": 1790780328,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372198,
"category_id": "1920",
"category_type": "house_and_garden",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "furniturebrand",
"name": "Marka",
"type": "select",
"values": [
"other"
],
"label": "Pozostałe"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lfrbr1vynnbe3-PL/image;s=4032x3024",
"https://ireland.apollo.olxcdn.com:443/v1/files/59cnd2kr0wfu-PL/image;s=4032x3024"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": true,
"has_delivery": false,
"delivery_mode": "NotEligible",
"has_gpsr_info": true,
"is_phone_protected": true,
"external_url": null,
"partner_code": null,
"shop_alias": null
},
"items": [
{
"id": "1101702811",
"url": "https://www.olx.pl/d/oferta/lozko-jednoosobowe-z-drewna-afrykanskiego-90x200-CID628-ID1cyDeb.html",
"offer_title": "łóżko jednoosobowe z drewna afrykańskiego 90x200",
"description": "witam, mam na sprzedaż łóżko jednoosobowe, robione na zamówienie z drewna afrykańskiego.\n\nPosiada drobne ślady użytkowania, jest wytrzymałe dzięki deskom pod materacem.\n\nŁóżko zostało odkurzone oraz p",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 900,
"previous_price": null,
"currency": "PLN",
"price_label": "900 zł",
"is_negotiable": true,
"is_price_arranged": true,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790779889,
"refreshed_at": 1790780328,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372198,
"category_id": "1920",
"category_type": "house_and_garden",
"location": {
"city_id": "72583",
"city": "Sanok",
"city_alias": "sanok",
"district_id": null,
"district": null,
"region_id": "17",
"region": "Podkarpackie",
"region_alias": "podkarpackie",
"latitude": 49.55815,
"longitude": 22.20117,
"radius": 4,
"zoom": 12,
"is_detailed": false
},
"seller": {
"id": "2361055558",
"uuid": "5ffe6c78-223e-481b-b603-0e1f44929d95",
"name": "rotting_vamp",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1720711109,
"last_seen_at": 1790779889,
"social_network_account_type": null,
"has_other_offers": true
},
"contact_name": "rotting_vamp",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "furniturebrand",
"name": "Marka",
"type": "select",
"values": [
"other"
],
"label": "Pozostałe"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lfrbr1vynnbe3-PL/image;s=4032x3024",
"https://ireland.apollo.olxcdn.com:443/v1/files/59cnd2kr0wfu-PL/image;s=4032x3024"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": true,
"has_delivery": false,
"delivery_mode": "NotEligible",
"has_gpsr_info": true,
"is_phone_protected": true,
"external_url": null,
"partner_code": null,
"shop_alias": null
},
{
"id": "1101703881",
"url": "https://www.olx.pl/d/oferta/iphone-15-pro-max-256gb-granatowy-bateria-100-w-pelni-sprawny-CID99-ID1cyDwr.html",
"offer_title": "IPhone 15 Pro Max 256gb Granatowy - BATERIA 100% - W PEŁNI SPRAWNY",
"description": "Używany iPhone 15 Pro Max 256gb w kolorze granatowym. Bateria w stanie 100%. Telefon w pełni sprawny.",
"status": "active",
"offer_type": "offer",
"is_business": false,
"price": 2199,
"previous_price": null,
"currency": "PLN",
"price_label": "2 199 zł",
"is_negotiable": false,
"is_price_arranged": false,
"salary_from": null,
"salary_to": null,
"salary_currency": null,
"salary_period": null,
"is_salary_gross": null,
"created_at": 1790780184,
"refreshed_at": 1790780327,
"pushed_at": null,
"omnibus_pushed_at": null,
"expires_at": 1793372184,
"category_id": "2298",
"category_type": "electronics",
"location": {
"city_id": "17871",
"city": "Warszawa",
"city_alias": "warszawa",
"district_id": "353",
"district": "Mokotów",
"region_id": "2",
"region": "Mazowieckie",
"region_alias": "mazowieckie",
"latitude": 52.19282,
"longitude": 21.03232,
"radius": 7,
"zoom": 13,
"is_detailed": false
},
"seller": {
"id": "74324234",
"uuid": "3595a316-132c-49d6-895b-e795a43bdf05",
"name": "Jarek",
"company_name": null,
"about": null,
"image": null,
"alias": null,
"has_business_page": false,
"is_online": false,
"created_at": 1504969056,
"last_seen_at": 1790780096,
"social_network_account_type": "facebook",
"has_other_offers": true
},
"contact_name": "Jarek",
"attributes": [
{
"key": "state",
"name": "Stan",
"type": "select",
"values": [
"used"
],
"label": "Używane"
},
{
"key": "phonemodel",
"name": "Model telefonu",
"type": "select",
"values": [
"iphone-15-pro-max"
],
"label": "iPhone 15 Pro Max"
}
],
"key_attributes": [],
"images": [
"https://ireland.apollo.olxcdn.com:443/v1/files/lbtwtgoj9afx-PL/image;s=1000x1000",
"https://ireland.apollo.olxcdn.com:443/v1/files/t1wyxf0tvjnq-PL/image;s=1000x1000"
],
"is_highlighted": false,
"is_top_ad": false,
"is_promoted": false,
"is_b2c_ad": false,
"promotion_options": [],
"has_phone": false,
"has_chat": true,
"has_negotiation": false,
"has_delivery": true,
"delivery_mode": "BuyWithDelivery",
"has_gpsr_info": true,
"is_phone_protected": false,
"external_url": null,
"partner_code": null,
"shop_alias": null
}
],
"proxy_traffic_bytes": 72549
},
"total_points": 2
}OLX offers search
Search live OLX ads by keyword with category, price, condition, seller type, location, delivery and sort. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Marketplace. Options: olx.pl = olx.pl (Poland), olx.ua = olx.ua (Ukraine), olx.ro = olx.ro (Romania), olx.bg = olx.bg (Bulgaria), olx.pt = olx.pt (Portugal), olx.kz = olx.kz (Kazakhstan), olx.uz = olx.uz (Uzbekistan)
olx.pl, olx.ua, olx.ro, olx.bg, olx.pt, olx.kz, olx.uz Search term. e.g. iphone
Max items (up to 500)
1 <= x <= 500Starting page (50 offers per page, up to 20)
1 <= x <= 20Sort by. Options: relevance = Relevance, newest = Newest, oldest = Oldest, price_asc = Price: low to high, price_desc = Price: high to low
relevance, newest, oldest, price_asc, price_desc Condition. Options: new = New, almost-new = Almost new, used = Used, refurbished = Refurbished, outlet = Outlet, damaged = Damaged, others = Others
new, almost-new, used, refurbished, outlet, damaged, others Seller type. Options: private = Private sellers, business = Business sellers
private, business Category ID
x >= 1Min price (marketplace currency)
Max price (marketplace currency)
Region ID
x >= 1City ID
x >= 1District ID
x >= 1Distance (km around the city)
x >= 0Seller user ID
x >= 1OLX delivery only
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.